Path parameters
-
A comma-separated list of regular-expressions to filter the circuit breakers in the output
Query parameters
-
A comma-separated list of columns names to display. It supports simple wildcards.
Values are
node_id,id,node_name,nn,breaker,br,limit,l,limit_bytes,lb,estimated,e,estimated_bytes,eb,tripped,t,overhead, oro. -
List of columns that determine how the table should be sorted. Sorting defaults to ascending and can be changed by setting
:ascor:descas a suffix to the column name. -
If
true, the request computes the list of selected nodes from the local cluster state. Iffalsethe list of selected nodes are computed from the cluster state of the master node. In both cases the coordinating node will send requests for further information to each selected node. -
Period to wait for a connection to the master node.
Values are
-1or0.External documentation
curl \
--request GET 'http://api.example.com/_cat/circuit_breaker/{circuit_breaker_patterns}'
[
{
"breaker": "request",
"estimated": "0b",
"limit": "614.3mb",
"node_id": "ozKxpP9oS3SL0Sp-Mfxc6w",
"tripped": "0"
},
{
"breaker": "fielddata",
"estimated": "0b",
"limit": "409.5mb",
"node_id": "ozKxpP9oS3SL0Sp-Mfxc6w",
"tripped": "0"
}
]